# GET /agent-proposals

**Resource:** [Agent Proposals](./agent-proposals.md)  
**Scopes:** `agent-ops:read`  
**Write operation:** no

List agent proposals. Defaults to pending. Use status=all to see the full history.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `status` | query | string | no | Filter by status: pending (default), approved, rejected, expired, executed, failed, or all |
| `agent_name` | query | string | no | Filter by the agent that created the proposal |
| `category` | query | string | no | Filter by category: enable, fix, config, strategy, diagnose, learn |
| `limit` | query | number | no | Max results per page (default 25, max 100) |

## Response example

```json
{
  "data": [
    {
      "id": "f1a2b3c4-...",
      "company_id": "ebeff86e-...",
      "agent_name": "project-manager",
      "category": "enable",
      "priority": "high",
      "title": "Enable welcome automation",
      "description": "The welcome sequence is disabled. 3 clients received no onboarding email.",
      "context": { "affected_deals": 3, "pipeline": "Fulfillment Kickoff" },
      "proposed_action": { "tool": "enable_automation", "params": { "id": "auto-uuid" } },
      "options": null,
      "status": "pending",
      "answer": null,
      "answered_by": null,
      "answered_at": null,
      "execution_result": null,
      "executed_at": null,
      "expires_at": "2026-04-20T00:00:00Z",
      "created_at": "2026-04-13T23:00:00Z",
      "updated_at": "2026-04-13T23:00:00Z"
    }
  ],
  "meta": { "url": "https://app.trustpager.com/auto/agent-hub?tab=proposals" }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`